apiVersion: v1
kind: Service
metadata:
  name: {{ template "mariadb.fullname" . }}
  labels:
    app: "{{ template "mariadb.name" . }}"
    component: "master"
    chart: {{ template "mariadb.chart" . }}
    release: {{ .Release.Name | quote }}
    heritage: {{ .Release.Service | quote }}
{{- if .Values.metrics.enabled }}
  annotations:
{{ toYaml .Values.metrics.annotations | indent 4 }}
{{- end }}
spec:
  type: {{ .Values.master.service.type }}
  ports:
  - name: mysql
    port: {{ .Values.master.service.port }}
{{- if eq .Values.master.service.type "ClusterIP" }}
    targetPort: mysql
{{- end }}
{{- if eq .Values.master.service.type "NodePort" }}
    nodePort: {{ .Values.master.service.nodePort }}
{{- end }}
{{- if .Values.metrics.enabled }}
  - name: metrics
    port: 9104
    targetPort: metrics
{{- end }}
  selector:
    app: "{{ template "mariadb.name" . }}"
    component: "master"
    release: "{{ .Release.Name }}"
